Subject: Re: Configuring the same IP on multiple addresses

From: Vlad Yasevich <[email-masked]>
Date: Tue, 30 Oct 2007 09:47:12 -0400

David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Mon, 29 Oct 2007 15:25:59 -0700 (PDT)
> 
>> Can you guys please just state upfront what virtualization
>> issue is made more difficult by features you want to remove?
> 
> Sorry, I mentioned "virtualization" because that's been the
> largest majority of the cases being presented lately.

Nope, not virtualization.

> 
> I suspect in your case it's some multicast or SCTP thing :-)
> 

Neither of these really either, although I should try to see how
SCTP behaves in this configuration.

As Brian said, a customer asked us a question, and we didn't know the
history.  No one is trying to remove functionality or features.
We'd just like to know the why, and the answer of "why not" doesn't
fly very well.

Although in the IPv6 case, there might be issues.

-vlad